# Method: projects.locations.imageImports.list

- [HTTP request](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports/list#body.request_body)
- [Response body](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports/list#body.ListImageImportsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports/list#body.aspect)

Lists ImageImports in a given project.

### HTTP request

`GET https://vmmigration.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/imageImports`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of targets. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of targets to return. The service may return fewer than this value. If unspecified, at most 500 targets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `imageImports.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `imageImports.list` must match the call that provided the page token. |
| `filter` | `string` Optional. The filter request (according to [AIP-160](https://google.aip.dev/160)). |
| `orderBy` | `string` Optional. The order by fields for the result (according to [AIP-132](https://google.aip.dev/132#ordering)). Currently ordering is only possible by "name" field. |

### Request body

The request body must be empty.

### Response body

Response message for 'imageImports.list' call.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "imageImports": [ { object (`https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports#ImageImport`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `imageImports[]` | ``object (`https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.imageImports#ImageImport`)`` Output only. The list of target response. |
| `nextPageToken` | `string` Output only. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Output only. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).